<?php get_header(); ?>

			<!-- パンくず -->
			<div id="crumb">
				<div itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="<?php echo home_url(); ?>" itemprop="url"><span itemprop="title">ホーム</span></a> &gt; </div>
<?php if (have_posts() && is_category()) : ?>
<?php
	// 記事が直接属するカテゴリから上位カテゴリを辿って、全ての上位カテゴリを配列保管
	$category = get_the_category();
	$category_id = $category[0]->cat_ID;
	$categories = array();
	while (!$category_id == 0) {
	    $category = get_category($category_id);
	    $category_id = $category->parent;
	    array_push($categories, $category_id);
	}
	array_pop($categories);
	$categories = array_reverse($categories);	// 逆順に並べ替え
?>
<?php foreach($categories as $category_id): ?>
				<div itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="<?php echo get_category_link($category_id); ?>" itemprop="url"><span itemprop="title"><?php echo get_cat_name($category_id); ?></span></a> &gt; </div>
<?php endforeach; ?>
<?php endif; ?>
			</div>
			<!--/#crumb-->

			<h2 class="archive-title">
<?php
	if (is_category()) {
		single_cat_title();
	} elseif (is_tag()) {
		single_tag_title();
	} elseif (is_tax()) {
		single_term_title();
	} elseif (is_day()) {
		echo "日別アーカイブ：" . get_the_time('Y年m月d日');
	} elseif (is_month()) {
		echo "月別アーカイブ：" . get_the_time('Y年m月');
	} elseif (is_year()) {
		echo "年別アーカイブ：" . get_the_time('Y年');
	} elseif (is_author()) {
		echo "投稿者アーカイブ：" . esc_html(get_queried_object()->display_name);
	} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
		echo "ブログアーカイブ";
	}
?>
			</h2>
<?php output_ad('main_top'); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div class="entry hentry">
<?php output_thumbnail(); ?>
				<?php if (is_eyecatch()): ?><div class="entry-inline"><?php endif; ?>
					<h3 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
					<div class="entry-box">
						<span class="entry-date">
							公開：<time class="published" datetime="<?php the_time('c'); ?>"><?php the_time(get_option('date_format')); ?></time>　
							更新：<time class="updated" datetime="<?php echo get_mtime('c'); ?>"><?php echo get_mtime(get_option('date_format')); ?></time>
						</span>　
<?php if (is_author_out('post')) : ?>
						posted by <span class="vcard author"><span class="fn<?php if (is_author_out('list')) : ?> url"><?php the_author_posts_link(); ?><?php else : ?>"><?php the_author(); ?><?php endif; ?></span></span>
<?php endif; ?>
						<br /><?php the_category(', '); ?><?php the_tags('', ', '); ?>
					</div>
					<p class="entry-excerpt"><?php echo mb_substr(get_the_excerpt(), 0, 40); ?>...</p>
					<p class="entry-more"><a href="<?php the_permalink() ?>">続きを見る</a></p>
				<?php if (is_eyecatch()): ?></div><?php endif; ?>
			</div>
			<!-- /.entry -->
<?php endwhile; else : ?>
			<p>記事がありません</p>
<?php endif; ?>

<?php output_ad('main_middle'); ?>
<?php
if (have_posts() && function_exists("pagination")) {
	// 一覧ページネーション
	pagination($wp_query->max_num_pages);
}
?>
<?php output_ad('main_bottom'); ?>

<?php get_footer(); ?>
