<?php
	// アイキャッチ画像の使用有無
	$eyecatch = get_theme_mod('eyecatch', '0');

	// 関連記事の表示設定
	$fellow['count'] = get_theme_mod('fellow_count', '5');
	$fellow['sort']  = get_theme_mod('fellow_sort' , 'rand');
	$fellow['order'] = get_theme_mod('fellow_order', 'asc');

	// author情報の無効化
	$disauthor['list'] = get_theme_mod('disauthor_list', '0');
	$disauthor['post'] = get_theme_mod('disauthor_post', '0');

	// SyntaxHighlighterのライブラリ使用
	$syntaxs = array(
				  array('id'=>'html', 'title'=>'HTML/XML'  , 'value'=>'1', 'script'=>'shBrushXml')
				, array('id'=>'css' , 'title'=>'CSS'       , 'value'=>'1', 'script'=>'shBrushCss')
				, array('id'=>'js'  , 'title'=>'JavaScript', 'value'=>'1', 'script'=>'shBrushJScript')
				, array('id'=>'php' , 'title'=>'PHP'       , 'value'=>'1', 'script'=>'shBrushPhp')
				, array('id'=>'perl', 'title'=>'Perl'      , 'value'=>'1', 'script'=>'shBrushPerl')
				, array('id'=>'cpp' , 'title'=>'C/C++'     , 'value'=>'1', 'script'=>'shBrushCpp')
				, array('id'=>'cshp', 'title'=>'C#'        , 'value'=>'1', 'script'=>'shBrushCSharp')
				, array('id'=>'vb'  , 'title'=>'VB'        , 'value'=>'1', 'script'=>'shBrushVb')
				, array('id'=>'java', 'title'=>'Java'      , 'value'=>'1', 'script'=>'shBrushJava')
				, array('id'=>'sql' , 'title'=>'SQL'       , 'value'=>'1', 'script'=>'shBrushSql')
			  );
	for ($i=0; $i<count($syntaxs); $i++) {
		$syntaxs[$i]['value'] = get_theme_mod('syntax_' . $syntaxs[$i]['id'], '1');
	}

	// 不要なヘッダーの除去
	$wpheads = array(
				  array('id'=>'wp_generator'                   , 'title'=>'WordPressバージョン情報'                                                         , 'value'=>'1')
				, array('id'=>'wlwmanifest_link'               , 'title'=>'Windows Live Writerを使った記事投稿URL(Windows Live Writerを使う場合は必要)'     , 'value'=>'1')
				, array('id'=>'rsd_link'                       , 'title'=>'外部ツール(RSDプロトコル)を使ったブログ更新用URL'                                , 'value'=>'1')
				, array('id'=>'index_rel_link'                 , 'title'=>'表示ページのインデックス(索引)を示すリンクタグ'                                  , 'value'=>'1')
				, array('id'=>'feed_links'                     , 'title'=>'サイト全体のRSSフィードURL'                                                      , 'value'=>'1', 'priority'=>2)
				, array('id'=>'feed_links_extra'               , 'title'=>'(カテゴリ等の)その他のRSSフィードURL'                                            , 'value'=>'1', 'priority'=>3)
				, array('id'=>'parent_post_rel_link'           , 'title'=>'表示ページの親記事URL(Firefox等ではブラウザが先読みするためサーバ負荷になる)'    , 'value'=>'1', 'priority'=>10, 'acptargs'=>0)
				, array('id'=>'start_post_rel_link'            , 'title'=>'表示ページの開始記事URL(Firefox等ではブラウザが先読みするためサーバ負荷になる)'  , 'value'=>'1', 'priority'=>10, 'acptargs'=>0)
				, array('id'=>'adjacent_posts_rel_link_wp_head', 'title'=>'表示ページの前後の記事URL(Firefox等ではブラウザが先読みするためサーバ負荷になる)', 'value'=>'1', 'priority'=>10, 'acptargs'=>0)
				, array('id'=>'wp_shortlink_wp_head'           , 'title'=>'?p=[投稿ID]という形式のデフォルトパーマリンクURL'                                , 'value'=>'1')
			  );
	for ($i=0; $i<count($wpheads); $i++) {
		$wpheads[$i]['value'] = get_theme_mod('wphead_' . $wpheads[$i]['id'], '1');
	}

	// アクセス解析コード設定
	$analtcs = get_theme_mod('analtcs', '');

	// 広告コード設定
	$adcodes = array(
				  array('id'=>'left_top'    , 'position'=>'左サイドバー [上]'          , width=>'226' , 'value'=>'')
				, array('id'=>'left_bottom' , 'position'=>'左サイドバー [下]'          , width=>'226' , 'value'=>'')
				, array('id'=>'right_top'   , 'position'=>'右サイドバー [上]'          , width=>'226' , 'value'=>'')
				, array('id'=>'right_bottom', 'position'=>'右サイドバー [下]'          , width=>'226' , 'value'=>'')
				, array('id'=>'main_top'    , 'position'=>'メインコンテンツエリア [上]', width=>'462' , 'value'=>'')
				, array('id'=>'main_middle' , 'position'=>'メインコンテンツエリア [中]', width=>'462' , 'value'=>'')
				, array('id'=>'main_bottom' , 'position'=>'メインコンテンツエリア [下]', width=>'462' , 'value'=>'')
			  );
	for ($i=0; $i<count($adcodes); $i++) {
		$adcodes[$i]['value'] = get_theme_mod('adcode_' . $adcodes[$i]['id'], '');
	}
?>
