<?php get_header(); ?>

			<h2 class="archive-title">「<?php echo esc_html($s); ?>」の検索結果</h2>
<?php output_ad('main_top'); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div class="entry hentry">
<?php output_thumbnail(); ?>
				<?php if (is_eyecatch()): ?><div class="entry-inline"><?php endif; ?>
					<h3 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
					<div class="entry-box">
						<span class="entry-date">
							公開：<time class="published" datetime="<?php the_time('c'); ?>"><?php the_time(get_option('date_format')); ?></time>　
							更新：<time class="updated" datetime="<?php echo get_mtime('c'); ?>"><?php echo get_mtime(get_option('date_format')); ?></time>
						</span>　
<?php if (is_author_out('post')) : ?>
						posted by <span class="vcard author"><span class="fn<?php if (is_author_out('list')) : ?> url"><?php the_author_posts_link(); ?><?php else : ?>"><?php the_author(); ?><?php endif; ?></span></span>
<?php endif; ?>
						<br /><?php the_category(', '); ?><?php the_tags('', ', '); ?>
					</div>
					<p class="entry-excerpt"><?php echo mb_substr(get_the_excerpt(), 0, 40); ?>...</p>
					<p class="entry-more"><a href="<?php the_permalink() ?>">続きを見る</a></p>
				<?php if (is_eyecatch()): ?></div><?php endif; ?>
			</div>
			<!-- /.entry -->
<?php endwhile; else : ?>
			<p>申し訳ありません。お探しの記事は現在ありません。</p>
<?php endif; ?>

<?php output_ad('main_middle'); ?>
<?php
if (have_posts() && function_exists("pagination")) {
	// 一覧ページネーション
	pagination($wp_query->max_num_pages);
}
?>
<?php output_ad('main_bottom'); ?>

<?php get_footer(); ?>
