/* change display on admin preview area */

//var smartstyleImageUri = "<?php echo get_template_directory_uri(); ?>/images/";
var smartstyleImageUri = "/wp-content/themes/smartstyle/images/";

// change header image on preview area
function displayHeaderImage() {
	var defaultImages = ",geometry,billding,pcboard,beehive,";
	var imageHeader  = document.getElementById("header-image");
	var radioHeaders = document.getElementsByName("default-header");
	var i;
	var selectValue = "";
	for (i=0; i<radioHeaders.length; i++) {
		if (radioHeaders[i].checked) {
			selectValue = radioHeaders[i].value;
			break;
		}
	}
	if (selectValue == "") {
		imageHeader.style.backgroundImage = "none";
		return;
	}
	if (selectValue == "random-default-image") {
		imageHeader.style.backgroundImage = "url(" + smartstyleImageUri + "header_geometry.jpg)";
		return;
	}
	if (defaultImages.indexOf(","+selectValue+",") >= 0) {
		imageHeader.style.backgroundImage = "url(" + smartstyleImageUri + "header_" + selectValue + ".jpg)";
		return;
	}
	var imageTags = document.getElementsByTagName("img");
	for (i=0; i<imageTags.length; i++) {
		if ((imageTags[i].src + " ").indexOf(selectValue + " ") >= 0) {
			selectValue = imageTags[i].src;
			break;
		}
	}
	imageHeader.style.backgroundImage = "url(" + selectValue + ")";
}

// change header display on preview area
function displayHeaderText() {
	var checkDisplay = document.getElementById("display-header-text");
	var headerText = document.getElementById("header-text");
	if (checkDisplay.checked) {
		headerText.style.display = "block";
	} else {
		headerText.style.display = "none";
	}
}

// initial process on window.onload (add event handler)
function SmartPreviewInit() {
	var radios = document.getElementsByName("default-header");
	for (var i=0; i<radios.length; i++) {
		if (radios[i].addEventListener) {
			radios[i].addEventListener("click", displayHeaderImage, false);
		} else if (radios[i].attachEvent) {
			radios[i].attachEvent('onclick', displayHeaderImage);
		} else {
			radios[i].onclick = displayHeaderImage;
		}
	}

	var check = document.getElementById("display-header-text");
	if (check.addEventListener) {
		check.addEventListener("click", displayHeaderText, false);
	} else if (radios[i].attachEvent) {
		check.attachEvent('onclick', displayHeaderText);
	} else {
		check.onclick = displayHeaderText;
	}
}

// add windows.load events
if (window.addEventListener) {
	window.addEventListener('load', SmartPreviewInit, false);
} else if (window.attachEvent) {
	window.attachEvent('onload', SmartPreviewInit);
} else {
	window.onload = SmartPreviewInit;
}
