<?php get_header(); ?>

			<!-- パンくず -->
			<div id="crumb">
				<div itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="<?php echo home_url(); ?>" itemprop="url"><span itemprop="title">ホーム</span></a> &gt; </div>
<?php if (have_posts()) : foreach(array_reverse(get_post_ancestors($post->ID)) as $parid): ?>
			    <div itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="<?php echo get_page_link($parid);?>" itemprop="url"><span itemprop="title"><?php echo get_page($parid)->post_title; ?></span></a> &gt; </div>
<?php endforeach; endif; ?>
			</div>
			<!--/#crumb-->

			<!-- 記事 -->
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
			<div class="post hentry">
				<h2 class="entry-title"><?php the_title(); ?></h2>
				<div class="entry-box">
					<span class="entry-date">
						公開日：<time class="published" datetime="<?php the_time('c'); ?>"><?php the_time(get_option('date_format')); ?></time>　
						最終更新日：<time class="updated" datetime="<?php echo get_mtime('c'); ?>"><?php echo get_mtime(get_option('date_format')); ?></time>
					</span>
<?php if (is_author_out('post')) : ?>
					　posted by <span class="vcard author"><span class="fn<?php if (is_author_out('list')) : ?> url"><?php the_author_posts_link(); ?><?php else : ?>"><?php the_author(); ?><?php endif; ?></span></span>
<?php endif; ?>
				</div>
<?php output_ad('main_top'); ?>
				<div class="entry-content">
<?php the_content(); ?>
				</div>
				<div class="entry-link">
<?php wp_link_pages(); ?>
				</div>
<?php get_template_part('sns');?>
			</div>
			<!-- /.post -->
<?php endwhile; ?>

<?php else : ?>
<?php output_ad('main_top'); ?>
			<p>記事がありません</p>
<?php endif; ?>

<?php output_ad('main_middle'); ?>
<?php output_ad('main_bottom'); ?>

<?php get_footer(); ?>
